# Добавка за NVDA за часовника и календара #

* Автори: Hrvoje Katić, Abdel и други сътрудници на NVDA
* Изтегляне на [стабилна версия][1]
* Изтегляне на [тестова версия][2]


Тази добавка за NVDA разширява възможностите за работа с часовника, алармата
за обратно отброяване и календара.

Вместо винаги да се взима точно датата и часа от Windows, можете да
персонализирате как NVDA ще извежда с глас и брайл часа и датата.

В допълнение, можете да научите текущия ден, номера на седмицата, както и
оставащите дни преди края на текущата година. Също така можете да зададете
автоматично оповестяване на часа на определен времеви интервал.

В добавката са вградени и функции за хронометър и таймер с аларма, които ви
позволяват да засичате времето за задачите си, като копиране на файлове,
инсталиране на програми или готвене.

## Забележка:

Ако инсталирате добавката като обновление, по време на процеса на
инсталиране, съветникът установява дали старата конфигурация е съвместима с
новата и предлага да я коригирате преди да я инсталирате. Тогава ще трябва
само да потвърдите със задействане на бутона "OK", че всичко е наред.

## Начин на използване

* Отворете диалоговия прозорец за конфигуриране на тази добавка от менюто на
  NVDA- > "Инструменти" или от панела с настройки, в зависимост от вашата
  версия на NVDA.

    * В диалоговия прозорец за настройване на часовника, първите два падащи
      списъка ви позволяват да избирате предпочитаните формати за показване
      на часа и датата.
    * Чрез падащия списък с етикет "Интервал", можете да зададете интервала
      за автоматично оповестяване на часа (на всеки 10 минути, на всеки 15
      минути, на всеки 30 минути, на всеки час) или да го изключите.
    * Чрез падащия списък с етикет "Оповестявай часа чрез" (видим само ако в
      падащия списък "Интервал" не е избрано "Изключено") можете да
      конфигурирате как да се осъществява автоматичното оповестяване на часа
      (говор и звук, само говор или само звук), когато автоматичното
      оповестяване на часа е включено.
    * Падащият списък с етикет "Звуков сигнал за часовника" (видим само ако
      в падащия списък "Интервал" не е избрано "Изключено") ви позволява да
      избирате между различни звуци за часовника, които ще се
      възпроизвеждат, когато автоматичното оповестяване на часа е включено и
      е зададено да се оповестява със звук.
    * Полето за отметка с етикет "Тихи часове" (видимо само ако в падащия
      списък "Интервал" не е избрано "Изключено") ви позволява да
      конфигурирате времевия диапазон, в който не трябва да се извършва
      автоматично оповестяване, независимо дали автоматичното оповестяване
      на часа е включено или не.
    * Чрез полето за отметка с етикет "Въвеждане в 24-часов формат" (видимо
      само ако в падащия списък "Интервал" не е избрано "Изключено") можете
      да конфигурирате дали искате да въвеждате времето за тихи часове в
      12-часов (AM/PM) или в европейски 24-часов формат.
    * Текстовите полета за указване на начален и краен час (видими само ако
      е включена опцията "Тихи часове") ви позволява да конфигурирате
      времевия диапазон за тихи часове. Часът трябва да бъде въведен във
      формат ЧЧ:ММ ако е включена опцията "Въвеждане в 24-часов формат". В
      противен случай,, трябва да се използва 12-часов формат, както е
      описано по-долу.
    * Когато сте готови, отидете до бутона "OK" и го задействайте с ENTER,
      за да запазите настройките си.
    * В диалоговия прозорец за настройка на алармата, първият падащ списък
      ви позволява да изберете предпочитания времеви интервал за обратно
      отброяване преди прозвучаване на алармения сигнал.
    * Текстовото поле ви позволява да въведете времевия интервал преди
      алармения сигнал. Тази продължителност трябва да бъде посочена с 1 или
      повече цифри, а не чрез десетично число.
    * Чрез падащия списък с етикет "Звук за алармата" можете да избирате
      между различни алармени звуци, които ще се възпроизвеждат, когато
      настъпи часът на алармата.
    * Бутонът "Пауза" ви позволява да поставите на пауза/възобновите
      по-дългите аларми.
    * Бутонът "Спри" ви позволява да спрете по-дългите аларми.
    * Когато сте готови, отидете до бутона "OK" и го задействайте с клавиша
      ENTER. Трябва да се изведе съобщение, което да ви уведоми за
      оставащото време преди алармата.

* Натиснете NVDA+F12 еднократно, за да научите текущия час, двукратно, за да
  научите текущата дата или трикратно, за да научите текущия ден, номера на
  текущата седмица от годината и броя на оставащите дни до края на годината.

## Клавишни комбинации

* NVDA+F12: Съобщаване на текущия час.
* Двукратно бързо натискане на NVDA+F12: Съобщаване на текущата дата.
* Трикратно бързо натискане на NVDA+F12: Съобщаване на текущия ден, номера
  на седмицата, текущата година и оставащите дни преди края на годината.
* Има скрипт, който докладва оставащото и изтеклото време преди следващата
  аларма.
* За този скрипт не е присвоен жест от клавиатурата, трябва да го направите
  сами в диалоговия прозорец "Жестове на въвеждане" в категорията
  "Часовник".
* Двукратното бързо задействане на този жест анулира следващата аларма.
* - Има скрипт, който докладва оставащото и изтеклото време преди следващата
  аларма;
  - За този скрипт не е присвоен жест от клавиатурата, трябва да го
  направите сами в диалоговия прозорец "Жестове на въвеждане" в категорията
  "Часовник";
  - Двукратното бързо задействане на този жест анулира следващата аларма;
  - Има и друг скрипт, който служи, за да спре звука, който се възпроизвежда
  в момента, неговият жест също не е дефиниран;
  - Този скрипт може да бъде извикан и с помощта на слоевите команди на
  добавката, описани по-долу.
* Този скрипт може да бъде извикан и с помощта на слоевите команди на
  добавката, описани по-долу.

## Слоеви команди

За да използвате слоевите команди, натиснете NVDA+Shift+F12, последвано от
един от следните клавиши:

* S: Стартира, нулира или спира хронометъра.
* R: Нулира хронометъра, без да го рестартира.
* A: Съобщава оставащото и изминалото време преди следващата аларма.
* C: Отмяна на следващата аларма.
* Интервал: Изговаря текущия хронометър или таймера за обратно отброяване.
* P: Ако дадена аларма е прекалено дълга, ви позволява да я спрете.
* H: Списък на всички слоеви команди (Помощ).

## Синтаксис за използване за тихите часове

* - За да се избегнат грешки, тихите часове трябва да следват строг и точен
  синтаксис;
  - Ако поставите отметка в квадратчето "Въвеждане в 24-часов формат",
  форматът трябва да бъде "ЧЧ:ММ";
  - Ако махнете отметката от квадратчето "Въвеждане в 24-часов формат",
  форматът трябва да бъде "ЧЧ:ММ AM" или "ЧЧ:ММ PM", ЧЧ трябва да съдържа
  12-часов формат, от 0 до 12 и надставката "AM"|"PM" може да бъде с малки
  или главни букви;
  - Ако поставите отметка в квадратчето "Тихи часове" и оставите полетата
  "Начален час за тихите часове" или "Краен час за тихите часове" празни,
  или въведете грешна стойност, опцията "Тихи часове" ще бъде изключена
  автоматично, с цел избягване на грешки;
  - Би трябвало да се изведе съобщение за грешката ви.
* Ако поставите отметка в квадратчето "Въвеждане в 24-часов формат",
  форматът трябва да бъде "ЧЧ:ММ".
* Ако махнете отметката от квадратчето "Въвеждане в 24-часов формат",
  форматът трябва да бъде "ЧЧ:ММ AM" или "ЧЧ:ММ PM", ЧЧ трябва да съдържа
  12-часов формат, от 0 до 12 и надставката "AM"|"PM" може да бъде с малки
  или главни букви.
* Ако поставите отметка в квадратчето "Тихи часове" и оставите полетата
  "Начален час за тихите часове" или "Краен час за тихите часове" празни,
  или въведете грешна стойност, опцията "Тихи часове" ще бъде изключена
  автоматично, с цел избягване на грешки.
* Би трябвало да се изведе съобщение за грешката ви.

## Съвместимост

* Тази добавка е съвместима с версиите на NVDA в обхвата от 2014.3 до
  2019.1.


[[!tag dev stable]]

[1]: https://addons.nvda-project.org/files/get.php?file=cac

[2]: https://addons.nvda-project.org/files/get.php?file=cac-dev

