# NVDA 时钟日历插件 #

* 作者: Hrvoje Katić, Abdel and NVDA contributors;
* 下载 [稳定版][1]
* 下载 [开发板][2]


此插件可为NVDA启用高级时钟，闹钟定时器和日历功能。

您可以自定义NVDA应如何读出时间和日期，而不是从Windows获取时间日期。

此外，您还可以获取当前日期，周数以及当前年度结束前的剩余天数，还可以按指定的时间间隔设置自动时间通知。

还有内置于插件的秒表和闹钟定时器功能，可让您为任务计时，例如复制文件，安装程序或烹饪。

## 注意:

如果您将插件安装为更新，则在安装过程中，向导会检测旧配置是否与新配置兼容，并在安装之前提供更正，然后您只需确定即可。

## 使用

* 根据您的NVDA版本，从NVDA工具菜单或设置面板打开此插件的配置对话框;

    * 在时钟设置对话框中，前两个组合框控件允许您选择喜欢的时间与日期格式;
    * 标有“间隔”的组合框控件允许您设置自动报时的间隔（每15分钟，每30分钟，每小时或关闭）;
    * 标有“时间通知”的组合框控件（仅在区间组合框中未选择“关闭”时才可见）
      当自动报时工作时。允许您配置应如何报告自动报时（语音和声音，仅语音或仅声音）;
    * 标有“时钟铃声”的组合框控件（仅在间隔组合框中未选择“关闭”时才可见）允许您在自动报时工作和声音报时时播放的各种铃声之间进行选择;
    * 标记为“夜间模式”的复选框控件（仅在间隔组合框中未选择“关闭”选项时才可见）允许您配置不应发生自动报时的时间范围;
    * 标有“24小时格式输入”的复选框控件允许您配置您想要在12小时（上午或下午）或欧洲24小时格式中输入夜间模式;
    * 通过 "编辑" 框控件的开始和结束时间 (仅在启用了夜间模式时才可见), 您可以配置夜间模式的时间范围。如果选中了 "24小时格式的输入"
      复选框, 则应以 hh:mm 格式输入时间, 否则必须使用如下所述的12小时格式;
    * 完成后, 将选项卡到 "确定" 按钮, 然后按回车 , 将其激活，并保存您的设置;
    * 在闹钟设置对话框中，第一个组合框控件允许您在闹钟响之前选择您喜欢的倒数计时器;
    * “编辑框”控件可让您输入在闹钟响铃前等待的时间。此持续时间必须以1位或更多位数指定，而不是十进制数;
    * 标有“时钟铃声”的组合框控件可让您在自动报时工作和声音朗读时播放各种时钟声音;
    * 暂停按钮允许您暂停/恢复太长时间的报时;
    * 停止按钮允许您停止太长的报时;
    * 完成后，选择确定按钮并按回车键激活它。应显示一条消息，提醒您闹钟响之前所要等待的时间;

* NVDA+F12 快速按三次，朗读当天，周数，当前年份和年底前的剩余天数。

## 键盘命令

* NVDA+F12,朗读当前时间;
* NVDA+F12 快速按两次，朗读当前日期;
* NVDA+F12 快速按三次，朗读当天，周数，当前年份和年底前的剩余天数。
* 有一个脚本可以在下一个闹钟之前提供剩余和经过时间;
* 没有为此脚本分配键盘手势，您必须在“输入手势”对话框的“时钟”类别中自行设置;
* 此手势快速按下两次，取消下一次闹钟;
* 另外还有另一个脚本可以停止当前播放的声音，其手势也没有定义;
* 也可以使用下面描述的时钟层命令调用该脚本。

## 分层命令

要使用分层命令，请按NVDA + Shift + F12，然后按以下快捷键:

* S: 启动，重置或停止秒表;
* R: 将秒表重置为0而不重新启动;
* A: 给出下一次闹钟前的剩余时间和经过时间;
* C: 取消下一个闹钟;
* Space: 读出当前的秒表或倒计时器;
* p: 如果闹钟太长，则允许停止闹钟;
* H: 列出所有分层命令（帮助）。

## 用于夜间模式的语法

* 为了避免错误，夜间模式必须遵循严格而精确的语法;
* 如果选中“24小时格式输入”复选框，则格式必须为“HH：MM”;
* 如果取消选中“以24小时格式输入”复选框，格式必须为“HH：MM AM”或“HH：MM PM”，HH必须包含12小时格式，从0到12和“AM”
  “|”PM“后缀可以是小写或大写
* 如果选中“夜间模式”复选框并保持“夜间模式开始时间”或“夜间模式结束时间”字段为空，或键入错误值，则会自动取消选中“夜间模式”复选框以避免错误;
* 应显示一条消息以朗读您的错误。

## 兼容性

* 此插件支持2014.3至2019.1的NVDA版本。


[[!tag dev stable]]

[1]: https://addons.nvda-project.org/files/get.php?file=cac

[2]: https://addons.nvda-project.org/files/get.php?file=cac-dev

